function [eq,snr,besttap] = desempenho(s,y,tapmax)

%busca pelo atraso de y de maior correlao com o sinal original s
    btap = 0;
    rbest = 0;
    for itr=1:tapmax
        tmp = corr([s(1:end-itr+1)',y(itr:end)']);
        if (abs(tmp(1,2)) > abs(rbest))
            btap = itr;
            rbest = tmp(1,2);
        end
    end
    eq = mean((s(1:end-btap+1) - sign(rbest).*y(btap:end)).^2);
    besttap = btap-1;
    snr = 10*log10(mean(y(btap:end).^2)/eq);
end
