function fit = custo_mirate(Ab,x)

size_pop = length(Ab);
fit = zeros(1,size_pop);

for ii = 1:size_pop
    
    wn = Ab(ii).FIR;
    wd = [1 Ab(ii).IIR];
    
    C_poly = kron(Ab(ii).g,[1 0]);
    
    [MI,~] = mirate(wn,wd,C_poly,x);
    
    if (isnan(MI))    
        fit(ii) = 0;    
    else
       fit(ii) = 1/(1+MI);
    end                    
    
end

end            